Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class Package

    java.lang.Object
      org.apache.poi.openxml4j.opc.OPCPackage
          org.apache.poi.openxml4j.opc.Package

All Implemented Interfaces:
  RelationshipSource

Direct Known Subclasses:
  ZipPackage

    public abstract class Package

extends OPCPackage

(name clash with `Package` use `OPCPackage` instead.

Author:
  Julien Chable, CDubet

Method Summary
`static java.lang.Object` | `create(java.io.File file)` use `OPCPackage.create(File)`
`static java.lang.Object` | `create(java.io.OutputStream output)` use `OPCPackage.create(OutputStream)`
`static java.lang.Object` | `create(java.lang.String path)` use `OPCPackage.create(String)`
`static java.lang.Object` | `open(java.io.InputStream in)` use `OPCPackage.open(InputStream)`
`static java.lang.Object` | `open(java.lang.String path)` use `OPCPackage.open(String)`
`static java.lang.Object` | `open(java.lang.String path, PackageAccess access)` use `OPCPackage.open(String,PackageAccess)`
`static java.lang.Object` | `openOrCreate(java.io.File file)` use `OPCPackage.openOrCreate(java.io.File)`

Methods inherited from class org.apache.poi.openxml4j.opc.OPCPackage
`addExternalRelationship, addExternalRelationship, addMarshaller, addRelationship, addRelationship, addThumbnail, addUnmarshaller, clearRelationships, close, containPart, createPart, createPart, deletePart, deletePartRecursive, ensureRelationships, flush, getPackageAccess, getPackageProperties, getPart, getPart, getParts, getPartsByContentType, getPartsByRelationshipType, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isRelationshipExists, removeMarshaller, removePart, removePart, removePartRecursive, removeRelationship, removeUnmarshaller, revert, save, save, validatePackage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public static java.lang.Object open(java.lang.String path)
                                 throws InvalidFormatException

  use `OPCPackage.open(String)`

  Throws:
    `InvalidFormatException`

### open

    public static java.lang.Object open(java.lang.String path,
                                        PackageAccess access)
                                 throws InvalidFormatException

  use `OPCPackage.open(String,PackageAccess)`

  Throws:
    `InvalidFormatException`

### open

    public static java.lang.Object open(java.io.InputStream in)
                                 throws InvalidFormatException,
                                        java.io.IOException

  use `OPCPackage.open(InputStream)`

  Throws:
    `InvalidFormatException`
    `java.io.IOException`

### openOrCreate

    public static java.lang.Object openOrCreate(java.io.File file)
                                         throws InvalidFormatException

  use `OPCPackage.openOrCreate(java.io.File)`

  Throws:
    `InvalidFormatException`

### create

    public static java.lang.Object create(java.lang.String path)

  use `OPCPackage.create(String)`

### create

    public static java.lang.Object create(java.io.File file)

  use `OPCPackage.create(File)`

### create

    public static java.lang.Object create(java.io.OutputStream output)

  use `OPCPackage.create(OutputStream)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD